*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    background: lightblue;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    cursor: none;
}



.cursor-dot {
    width: 10px;
    height: 10px;
    background-color: #222222;
    box-shadow: 0 0 2px #fff; /* halo sutil para destacar en fondo oscuro */
}

.cursor-outline {
    width: 40px;
    height: 40px;
    border: 2px solid hsla(210, 10%, 15%, 0.65); /* oscuro neutro-azulado */
}

.cursor-dot,
.cursor-outline {
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: 999;
    pointer-events: none;
}

.cursor-dot-white {
  background-color: rgba(230, 230, 230, 0.9); /* gris clarito moderno */
  box-shadow: 0 0 6px rgba(230, 230, 230, 0.6); /* un leve glow elegante */
}

.cursor-outline-white {
    border: 2px solid hsla(0, 0%, 90%, 0.9);
}

.ripple {
    width: 10px;
    height: 10px;
    opacity: 0;
    transform: scale(0);
    background: #00000067;
    border-radius: 50%;
    position: fixed;
    z-index: 1000;
}

.ripple-effect {
    animation: ripple-animation 1s cubic-bezier(0, 0, 0.2, 1);
}

@keyframes ripple-animation {
    0% {
        transform: scale(0);
        opacity: 1;
    }

    100% {
        transform: scale(10);
        opacity: 0;
    }
}



.container{
    position: relative;
    width: 100%;
    max-width: 1000px;
    min-height: 1000px;
    background: #fff;
    margin: 50px;
    display: grid;
    grid-template-columns: 1fr 2fr;
    box-shadow: 0 35px 55px rgba(0, 0, 0, 0.1);
}

.container .left_Side{
    position: relative;
    background: #003147;
    padding: 40px;
}

.profileText{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.profileText .imgBx{
    position: relative;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    overflow: hidden;
}

.profileText .imgBx img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.profileText h2{
    color: #fff;
    font-size: 1.5em;
    margin-top: 20px;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
    line-height: 1.4em;
}

.profileText h2 span{
    font-size: 0.75em;
    font-weight: 300;
}

.contactInfo{
    padding-top: 40px;
}

.title{
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    margin-bottom: 20px;
}

.contactInfo ul{
    position: relative;
}

.contactInfo ul li{
    position: relative;
    list-style: none;
    margin: 10px 0;
    /* cursor: pointer; */
    font-size: 13px; /* con esto sí me cabe en la misma línea el icono y el email */
}

.contactInfo ul li .icon{
    display: inline-block;
    width: 30px;
    font-size: 18px;
    color: #03a9f4;
}

.contactInfo ul li .text {
    color: #fff;
    font-weight: 300;
}

.contactInfo ul li .portfolio-link {
    cursor: none;
    transition: 0.7s;
}

.contactInfo ul li .portfolio-link:hover,
.contactInfo ul li .portfolio-link .wavy:hover span {
    color: #03a9f4;
}

.contactInfo.contact li{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.contactInfo.education li{
    margin-bottom: 15px;
}

.contactInfo.education h5{
    color: #03a9f4;
    font-weight: 500;
}

.contactInfo.education h4:nth-child(2){
    color: #fff;
    font-weight: 500;
}

.contactInfo.education h4{
    color: #fff;
    font-weight: 300;
}

.contactInfo.languages .percent{
    position: relative;
    width: 100%;
    height: 6px;
    background: #081921;
    display: block;
    margin-top: 5px;
}

.contactInfo.languages .percent div{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background: #03a9f4;
}

.button{
    margin: 50px 0px 0px 17%;
    display: inline-block;
    background-color: #03a9f4;
    color: #FFF;
    padding: 1rem;
    border-radius: 0.5rem;
    font-weight: 500;
    text-decoration: none;
    cursor: none;
}

.button--flex{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin: 50px auto 0px auto;
    cursor: none;
    transition: 0.7s;
}

.button--flex:hover {
    background-color: #0288d1;
}

/************************************************ Right Side **********************************************************/

.skills__header{
    display: flex;
    align-items: center;
    cursor: none;
}

.skills__arrow{
    transition: 0.4s;
    font-size: 2rem;
    color: #003147;
}

.skills__close .skills__list{
    height: 0;
    overflow: hidden;
}

.skills__open .skills__list{
    height: max-content;
}

.skills__open .skills__arrow{
    transform: rotate(-180deg);
}

/******/

.skills__icon {
    font-size: 2rem;
    color: #003147;
}

.skills__icon{
    margin-right: 0.75rem;
    color: #03a9f4;;
}

/********************************************************************************************/

.container .right_Side{
    position: relative;
    background: #fff;
    padding: 40px;
}

.about{
    margin-bottom: 50px;
}

.about:last-child{
    margin-bottom: 0;
}

.title2{
    color: #003147;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 10px;
}

p{
    color: #333;
}

.about .box{
    display: flex;
    flex-direction: row;
    margin: 20px 0;
}

.about .box .year_company{
    min-width: 150px;
}

.about .box .year_company h5{
    text-transform: uppercase;
    color: #848c90;
    font-weight: 600;
}

.about .box .text h4{
    text-transform: uppercase;
    color: #2a7da2;
    font-size: 16px;
}

.skills .skills__image {
    width: 30px;
    margin-right: 0.75rem;
}

.skills .box{
    position: relative;
    width: 100%;
    display: grid;
    grid-template-columns: 150px 1fr; /* esta medida viene del min-width: 150px del  .about .box .year_company */
    justify-content: center;
    align-items: baseline;
}

.skills .box h4{
    text-transform: uppercase;
    color: #848c90;
    font-weight: 500;
}

.skills .box .percent{
    position: relative;
    width: 100%;
    height: 10px;
    background: #f0f0f0;
}

.skills .box .percent div{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background: #03a9f4;
}

pre code.hljs {
    font-size: 12px;
    padding: 0 !important;
}

.interests ul{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.interests ul li{
    list-style: none;
    color: #333;
    font-weight: 500;
    margin: 10px 0;
}

.interests ul li .fa{
    color: #03a9f4;
    font-size: 18px;
    width: 20px;
}

.accordion {
    width: 100%;
}

.accordion .contentBox {
    position: relative;
    /* margin: 10px 20px; */
}

.accordion .contentBox .label {
    position: relative;
    padding: 10px;
    background: #03a9f4;
    color: #fff;
    cursor: none;
    transition: 0.7s;
}

.accordion .contentBox .label:hover {
    background: #0288d1;
}

.accordion .contentBox .label::before {
    content: '+';
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    font-size: 1.5em;
}

.accordion .contentBox.active .label::before {
    content: '-';
}

.accordion .contentBox .content {
    position: relative;
    background: #fff;
    height: 0;
    overflow: hidden;
    transition: 0.5s;
    overflow-y: auto;
}

.accordion .contentBox.active .content {
    height: 100%;
    padding: 10px;
}

@media screen and (max-width: 1000px) {
    .container{
        margin: 10px;
        grid-template-columns: repeat(1, 1fr);
    }
    .interests ul{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 600px){
    .about .box{
        flex-direction: column;
    }
    .about .box .year_company{
        margin-bottom: 5px;
    }
    .interests ul{
        grid-template-columns: repeat(1, 1fr);
    }
    .skills .box{
        grid-template-columns: repeat(1, 1fr);
    }
    .skills__arrow{
        margin-left: auto;
    }
    .about pre code.hljs {
        max-width: 275px;
    }
}

/************************************ wavy text animation ********************************/

.portfolio-link {
    text-decoration: none;
    position: relative;
    display: inline-block;
    color: #fff;
}

.fa-exclamation-triangle {
    color: yellow;
}

.wavy {
    position: relative;
    -webkit-box-reflect: below -12px linear-gradient(transparent, rgba(0,0,0,0.2));
}

.wavy span {
    position: relative;
    display: inline-block;
    color: #fff;
    font-size: 11px;
    /* text-transform: uppercase; */
    animation: animate 1s ease-in-out infinite;
    animation-delay: calc(0.04s * var(--i));
    font-weight: 300;
}

@keyframes animate {
    0% {
        transform: translateY(0px);
    }
    20% {
        transform: translateY(-20px);
    }
    40%, 100% {
        transform: translateY(0px);
    }
}